Package org.eclipse.cdt.core.dom.ast.cpp

# Enum Class ICPPASTLambdaExpression.CaptureDefault

java.lang.Object
java.lang.Enum<ICPPASTLambdaExpression.CaptureDefault>
org.eclipse.cdt.core.dom.ast.cpp.ICPPASTLambdaExpression.CaptureDefault

All Implemented Interfaces:
  `Serializable`, `Comparable<ICPPASTLambdaExpression.CaptureDefault>`, `java.lang.constant.Constable`

Enclosing interface:
  ICPPASTLambdaExpression

public static enum ICPPASTLambdaExpression.CaptureDefault extends Enum<ICPPASTLambdaExpression.CaptureDefault>
The capture default can be by copy, by reference or unspecified.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`BY_COPY`
`BY_REFERENCE`
`UNSPECIFIED`

## Method Summary

Modifier and Type
Method
Description
`static ICPPASTLambdaExpression.CaptureDefault`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ICPPASTLambdaExpression.CaptureDefault[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### UNSPECIFIED

public static final ICPPASTLambdaExpression.CaptureDefault UNSPECIFIED

### BY_COPY

public static final ICPPASTLambdaExpression.CaptureDefault BY_COPY

### BY_REFERENCE

public static final ICPPASTLambdaExpression.CaptureDefault BY_REFERENCE

## Method Details

### values

public static ICPPASTLambdaExpression.CaptureDefault[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static ICPPASTLambdaExpression.CaptureDefault valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null